Subject: Re: [CCAMP] FW: I-D Action: draft-ietf-ccamp-gmpls-general-constraints-ospf-te-06.txt (resend)

From: Lou Berger <[email-masked]>
Date: Tue, 21 Jan 2014 16:45:49 -0500

[Resend: no idea why, but this message which was sent at the same as the
others bounced!]

Young, (all),

There are few minor items in this document.

See
http://tools.ietf.org/idnits?url=http://tools.ietf.org/id/draft-ietf-ccamp-gmpls-general-constraints-ospf-te-06.txt
for idnits

  == Line 273 has weird spacing: '...ictions  can...'

  == Line 488 has weird spacing: '...   of   these ...'

  == Line 489 has weird spacing: '...cluding   thos...'

  == Line 490 has weird spacing: '... not be   cons...'

  == Line 499 has weird spacing: '...   and   shall...'

  == (1 more instance...)

  == Missing Reference: 'Gen-Encode' is mentioned on line 256, but not
defined

  == Missing Reference: 'RFC 3630' is mentioned on line 308, but not defined

  == Missing Reference: 'RFC 4203' is mentioned on line 308, but not defined

  == Missing Reference: 'RFC5920' is mentioned on line 312, but not defined

- section 2.1
s/ingress/input
s/egress/output

There a number of places where the "new" Generic Node Attribute is still
mentioned (just search for it).  These need to be aligned with the
change to use the Node Attribute TLV.

The following comments remain unaddressed:
> 
> - Section 4, last paragraph
>   Text should be aligned with the preexisting TE procedures as defined
>   in Section 3 of RFC3630.
How about replace the paragraph with:
   As with other TE information, an implementation typically
   take measures to avoid rapid and frequent updates of routing
   information that could cause the routing network to become swamped.
   See [RFC3630] Section 3 for related details.

I didn't check to see if Acee's comments were addressed

That's it on this one.

Lou

On 12/23/2013 7:34 PM, Lou Berger wrote:
> Thank you Young. I'm hoping we hear about the pending IPR disclosure 
> sometime soon...
> 
> Lou
> 
> 
> On December 23, 2013 6:32:40 PM Leeyoung <[email-masked]> wrote:
>> Hi Lou,
>>
>> To avoid the expiration of the draft, we have updated this draft. In doing 
>> so, I believe we resolved most of the pending issues you and Acee raised 
>> during the WG LC process.
>> Regards,
>> Young
>>
>>
>>
>> -----Original Message-----
>> From: CCAMP [mailto:[email-masked]] On Behalf Of 
>> [email-masked]
>> Sent: Monday, December 23, 2013 5:13 PM
>> To: [email-masked]
>> Cc: [email-masked]
>> Subject: [CCAMP] I-D Action: 
>> draft-ietf-ccamp-gmpls-general-constraints-ospf-te-06.txt
>>
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>>  This draft is a work item of the Common Control and Measurement Plane 
>>  Working Group of the IETF.
>>
>>         Title           : OSPF-TE Extensions for General Network Element Constraints
>>         Authors         : Fatai Zhang
>>                           Young Lee
>>                           Jianrui Han
>>                           Greg Bernstein
>>                           Yunbin Xu
>> 	Filename        : draft-ietf-ccamp-gmpls-general-constraints-ospf-te-06.txt
>> 	Pages           : 13
>> 	Date            : 2013-12-23
>>
>> Abstract:
>>    Generalized Multiprotocol Label Switching (GMPLS) can be used to
>>    control a wide variety of technologies including packet switching
>>    (e.g., MPLS), time-division (e.g., SONET/SDH, Optical Transport
>>    Network (OTN)), wavelength (lambdas), and spatial switching (e.g.,
>>    incoming port or fiber to outgoing port or fiber). In some of these
>>    technologies, network elements and links may impose additional
>>    routing constraints such as asymmetric switch connectivity, non-
>>    local label assignment, and label range limitations on links. This
>>    document describes Open Shortest Path First (OSPF) routing protocol
>>    extensions to support these kinds of constraints under the control
>>    of GMPLS.
>>
>>
>>
>> The IETF datatracker status page for this draft is:
>> https://datatracker.ietf.org/doc/draft-ietf-ccamp-gmpls-general-constraints-ospf-te/
>>
>> There's also a htmlized version available at:
>> http://tools.ietf.org/html/draft-ietf-ccamp-gmpls-general-constraints-ospf-te-06
>>
>> A diff from the previous version is available at:
>> http://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-gmpls-general-constraints-ospf-te-06
>>
>>
>> Please note that it may take a couple of minutes from the time of 
>> submission until the htmlized version and diff are available at tools.ietf.org.
>>
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>>
>> _______________________________________________
>> CCAMP mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/ccamp
>>
> 
> 
> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp
> 
> 
> 
>

---

From: Leeyoung <[email-masked]>
Date: Fri, 31 Jan 2014 17:28:24 +0000

Hi Lou,

Please see my comment inline.

Here's the working version (07) that has reflected all your comments and Acee's and the idnits results. 

Let me know if this is ready to publish.

Thanks.
Young

-----Original Message-----
From: Lou Berger [mailto:[email-masked]] 
Sent: Monday, January 20, 2014 1:54 PM
To: Leeyoung
Cc: CCAMP; Acee Lindem
Subject: Re: [CCAMP] FW: I-D Action: draft-ietf-ccamp-gmpls-general-constraints-ospf-te-06.txt

Young, (all),

See

  == (1 more instance...)

  == Missing Reference: 'Gen-Encode' is mentioned on line 256, but not defined

YOUNG>> Done.

- section 2.1
s/ingress/input
s/egress/output

YOUNG>> Done.

There a number of places where the "new" Generic Node Attribute is still mentioned (just search for it).  These need to be aligned with the change to use the Node Attribute TLV.

YOUNG>> cleaned up. 

YOUNG>> Replaced. 

YOUNG>> Addressed. See the email and the newer working version. 

That's it on this one.

Lou

On 12/23/2013 7:34 PM, Lou Berger wrote:
>> To avoid the expiration of the draft, we have updated this draft. In 
>> doing so, I believe we resolved most of the pending issues you and 
>> Acee raised during the WG LC process.
>> Regards,
>> Young
>>
>>
>>
>>  This draft is a work item of the Common Control and Measurement 
>> Plane  Working Group of the IETF.
>>

---

From: Lou Berger <[email-masked]>
Date: Fri, 31 Jan 2014 12:56:35 -0500

Young,
	I think you're alignment with the new node attribute TLV usage is fine,
but the iana implications needs to reflect the change as well.

1) in the two places you replaced TDB with 14, I think you should have
"TBA (by IANA)" or "14 (suggested, to be assigned by IANA)"

2) in the two places you replaced TDB with 26, I think you should have
"TBA (by IANA)" or "26 (suggested, to be assigned by IANA)"

3) Also you need to specifically identify the registry:

OLD
   This document introduces the following sub-TLVs of Node Attribute
   TLV (Value 5):

NEW
   This document defines the a new sub-TLV of the Node Attribute
   TLV (Value 5). The assignment of the following new type in the
   "Types for sub-TLVs of TE Node Attribute TLV" portion of the
   "Open Shortest Path First (OSPF) Traffic Engineering TLVs"
   registry is needed:

and

OLD
   This document introduces the following sub-TLV of TE Link TLV (Value
   2):
NEW
   This document defines the a new sub-TLV of the TE Link TLV
   (Value 2). The assignment of the following new type in the
   "Types for sub-TLVs of TE Link TLV" portion of the
   "Open Shortest Path First (OSPF) Traffic Engineering TLVs"
   registry is needed:

Once these changes are made, please submit.

(I of course defer to Acee on his comments.)

Thanks,
Lou

---

From: Leeyoung <[email-masked]>
Date: Fri, 31 Jan 2014 19:24:27 +0000

Hi Lou,

All corrected into the document. Acee's the only comment unresolved is on the [GEN-Encode], which will be worked out there.

Here's the working version and the idnits results. I will submit the new version shortly. 

Young

-----Original Message-----
From: CCAMP [mailto:[email-masked]] On Behalf Of Lou Berger
Sent: Friday, January 31, 2014 11:57 AM
To: Leeyoung
Cc: CCAMP
Subject: Re: [CCAMP] FW: I-D Action: draft-ietf-ccamp-gmpls-general-constraints-ospf-te-06.txt

Young,
	I think you're alignment with the new node attribute TLV usage is fine, but the iana implications needs to reflect the change as well.

1) in the two places you replaced TDB with 14, I think you should have "TBA (by IANA)" or "14 (suggested, to be assigned by IANA)"

2) in the two places you replaced TDB with 26, I think you should have "TBA (by IANA)" or "26 (suggested, to be assigned by IANA)"

YOUNG>> Done. 

OLD

NEW

and

OLD

YOUNG>> Done. 

Thanks,
Lou

On 1/31/2014 12:28 PM, Leeyoung wrote:
> Subject: Re: [CCAMP] FW: I-D Action: 
> http://tools.ietf.org/idnits?url=http://tools.ietf.org/id/draft-ietf-c
> camp-gmpls-general-constraints-ospf-te-06.txt
> for idnits
> 
>>> https://datatracker.ietf.org/doc/draft-ietf-ccamp-gmpls-general-cons
>>> t
>>> raints-ospf-te/
>>>
>>> http://tools.ietf.org/html/draft-ietf-ccamp-gmpls-general-constraint
>>> s
>>> -ospf-te-06
>>>
>>> http://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-gmpls-general-cons
>>> t
>>> raints-ospf-te-06
>>>
>>>